Subject: Re: Twofish

From: [email-masked]
Date: Wed, 13 Jan 1999 09:45:46 -0800

Tony Mione, <[email-masked]>, writes:
> I would like to (if it is agreeable) add the concept of parameters for
> symmetric algorithms to my v1.1 laundry list. It should probably be handled
> in a similar fashion to the public-key parameters (for DSA, etc). This
> would probably mean specifying an 'Enhanced symmetric-key encrypted
> session-key packet' to replace the existing one but I will leave that up to
> the group to hash out.
>
> Does this sound reasonable to people?

OK, but as I said, there are three places (at least) where symmetric
key algorithms are specified.  In addition to the SKESK which you propose
to enhance, there is the public-key ESK, and also there is the secret
key packet where they are used to specify what algorithm encrypts the
secret key data.  So we would need perhaps three new packet formats.

Hal

---

From: Tony Mione <[email-masked]>
Date: Wed, 13 Jan 1999 13:17:15 -0500 (EST)

-----BEGIN PGP SIGNED MESSAGE-----

> secret key data.  So we would need perhaps three new packet formats.

I agree. I picked out the SKESK as an example but meant to state that all
places where symmetric keys are used would have to be reviewed and
enhanced. Thanks for clarifying that.

> Hal

Tony Mione, RUCS/NS, Rutgers University, Hill 055, Piscataway,NJ - 732-445-0650
[email-masked]                 W3: http://www-ns.rutgers.edu/~mione/
PGPFP:E2252CCD28733C5B  0B918A4E22BAFA9F     ***** Important: Rom 10:9-11 *****
Author of 'CDE and Motif : A Practical Primer', Prentice-Hall PTR